<?php

// Função criada para Selecionar dados do Banco, precisa adicionar depois While ou Foreach sempre usando o $seleciona
function Seleciona($tabela, $quando, $ordem){
	
	$seleciona = mysql_query("SELECT * FROM $tabela $quando $ordem") or die (mysql_error());
	return $seleciona;	
}

//Função para Salvar dados na Tabela, Opção de Enviar nome da Tabela, Colunas e Campos
function Salvar($tabela, $colunas, $campos){
	$insere = mysql_query("INSERT INTO $tabela($colunas) value ($campos)") or die (mysql_error());
	return $insere;
}

//Função para Alterar dados na Tabela, Opção de Enviar Nome da Tabela, Campos, Nome da coluna id do banco e Id.
function Alterar($tabela, $campos, $idbanco, $idcampo){
	
	$alterar = mysql_query("UPDATE $tabela SET $campos WHERE $idbanco=$idcampo") or die (mysql_error());
        return $alterar;
}

//Função para Excluir dados na Tabela, Opção de Enviar Nome da Tabela, Campos, Nome da coluna id do banco e Id.
function Excluir($tabela, $idbanco, $idcampo){
	
	$excluir = mysql_query("DELETE FROM $tabela WHERE $idbanco=$idcampo") or die (mysql_error());
        return $excluir;
}

//FUNÇÃO QUE VERICIA SQL E REDIRECIONA
function VerificaSql($sql, $urlok, $urlerrado){

	if ($sql){
		echo"
		<script type=\"text/Javascript\">
		window.location = '".$urlok."';</script>";
		die;
	}else{
		echo"
	<script type=\"text/Javascript\">
	alert(\"Seu registro nÃ£o pode ser alterado!\");
	window.location = '";
	echo $urlerrado;
	echo "';</script>";
		die;
	}

}
    

function InverteDataNovoSeparador($data,$separador, $novoseparador) {
	//Inverte a data para exibir do banco

	$novadata = implode("".$novoseparador."",array_reverse(explode("".$separador."",$data)));
	return $novadata;
}


function ConverteDataBanco($data,$separador, $novoseparador) {
	//Inverte a data para exibir do banco

	$databanco = implode("".$novoseparador."",array_reverse(explode("".$separador."",$data)));
	return $databanco;
}


function RetornaMes($mes) {

	if($mes == 01){
		$nome_mes = "Janeiro";
	}
	
	if($mes == 02){
		$nome_mes = "Fevereiro";
	}

	if($mes == 03){
		$nome_mes = "Março";
	}
	
	if($mes == 04){
		$nome_mes = "Abril";
	}
	
	if($mes == 05){
		$nome_mes = "Maio";
	}
	
	if($mes == 06){
		$nome_mes = "Junho";
	}
	
	if($mes == 07){
		$nome_mes = "Julho";
	}
	
	if($mes == 08){
		$nome_mes = "Agosto";
	}

	if($mes == 09){
		$nome_mes = "Setembro";
	}
	
	if($mes == 10){
		$nome_mes = "Outubro";
	}
	
	if($mes == 11){
		$nome_mes = "Novembro";
	}		
	
	if($mes == 12){
		$nome_mes = "Dezembro";
	}	
	
	return $nome_mes;								

}
function StatusConta($status) {

    // Converte Id para Texto

    if($status == 1){
		$resultado = "Em aberto";
	}

	
	if($status == 2){
		$resultado = "Pago";
	}	

    return $resultado;

}



function TipoConta($tipo) {

    // Converte Id para Texto

    if($tipo == 1){
		$resultado = "Contas a Pagar";
	}

	if($tipo == 2){
		$resultado = "Contas a Receber";
	}	

    return $resultado;

}

function StatusTarefa($status) {

    // Converte Id para Texto
    if($status == 1){
		$resultado = "Em aberto";
	}

	
	if($status == 2){
		$resultado = "Andamento";
	}	


	if($status == 3){
		$resultado = "Finalizado";
	}	
    return $resultado;
}


function Prioridade($status) {
    // Converte Id para Texto

    if($status == 1){
		$resultado = "Alta";
	}

	if($status == 2){
		$resultado = "M&eacute;dia";	
	}	

	if($status == 3){
		$resultado = "Baixa";
	}	

    return $resultado;
}

function RecebePagina($recebepagina) {

    if(empty($recebepagina)){
		$pagina = "home.php";
	}else{
		$pagina = $recebepagina;
	}
	
	return $pagina;
}

//GERA CAMPOS

//GERADOR DE CAMPOS POST

function GerarCamposPost($tabela, $nomelinha){
	
echo "<br><br> <strong> CAMPOS POST </strong><br><br>";
	
$query_post = mysql_query("SHOW COLUMNS FROM " . $tabela . "");

//GERAR POST 
while ($coluna = mysql_fetch_assoc($query_post)) {
      $coluna = $coluna["Field"];
     echo "$" . $coluna . " = $" . "_POST['" . $coluna . "'];<br>";
}

echo "<br><br> <strong> CAMPOS TABELA SALVAR </strong><br><br>";

echo '$campos_tabela = "';

$query_insert = mysql_query("SHOW COLUMNS FROM " . $tabela . "");
$total = mysql_num_rows($query_insert);
$cont = 0;
while ($coluna = mysql_fetch_assoc($query_insert)) {
      $coluna = $coluna["Field"];
     $cont++;
	 if($cont == $total){
	 	echo $coluna . '';
	 }else{
		echo $coluna . ", "; 
	 }
}
echo '";';

echo "<br><br> <strong> CAMPOS VARIAVEL SALVAR </strong><br><br>";

echo '$campos_value = "';

$query_variavel = mysql_query("SHOW COLUMNS FROM " . $tabela . "");
$total = mysql_num_rows($query_insert);
$cont = 0;
while ($coluna = mysql_fetch_assoc($query_variavel)) {
      $coluna = $coluna["Field"];
     $cont++;
	 if($cont == $total){
	 	echo "'$" . $coluna . "'";
	 }else{
		echo "'$" . $coluna . "', "; 
	 }
}
echo '";';

echo "<br><br> <strong> CAMPOS ALTERAR </strong><br><br>";

echo '$campos_alterar = "';

$query_update = mysql_query("SHOW COLUMNS FROM " . $tabela . "");
$total = mysql_num_rows($query_insert);
$cont = 0;
while ($coluna = mysql_fetch_assoc($query_update)) {
      $coluna = $coluna["Field"];
     $cont++;
	 if($cont == $total){
	 	echo $coluna . "='$" . $coluna . "'";
	 }else{
		echo $coluna . "='$" . $coluna . "', "; 
	 }
	 
}
echo '";';


echo "<br><br> <strong> CAMPOS SELECT </strong><br><br>";

$query_select = mysql_query("SHOW COLUMNS FROM " . $tabela . "");
$total = mysql_num_rows($query_select);
$cont = 0;
while ($coluna = mysql_fetch_assoc($query_select)) {
      $coluna = $coluna["Field"];
	 	echo "$" . $coluna . " = $" . $nomelinha . "['" .  $coluna . "']; <br>"; 
}


}

	function geraCodigoBarra($numero){
		$fino = 1;
		$largo = 3;
		$altura = 140;
		
		$barcodes[0] = '00110';
		$barcodes[1] = '10001';
		$barcodes[2] = '01001';
		$barcodes[3] = '11000';
		$barcodes[4] = '00101';
		$barcodes[5] = '10100';
		$barcodes[6] = '01100';
		$barcodes[7] = '00011';
		$barcodes[8] = '10010';
		$barcodes[9] = '01010';
		echo '<div id="cod_barras">';
		for($f1 = 9; $f1 >= 0; $f1--){
			for($f2 = 9; $f2 >= 0; $f2--){
				$f = ($f1*10)+$f2;
				$texto = '';
				for($i = 1; $i < 6; $i++){
					$texto .= substr($barcodes[$f1], ($i-1), 1).substr($barcodes[$f2] ,($i-1), 1);
				}
				$barcodes[$f] = $texto;
			}
		}
		
		echo '<img src="imagens/p.gif" width="'.$fino.'" height="'.$altura.'" border="0" />';
		echo '<img src="imagens/b.gif" width="'.$fino.'" height="'.$altura.'" border="0" />';
		echo '<img src="imagens/p.gif" width="'.$fino.'" height="'.$altura.'" border="0" />';
		echo '<img src="imagens/b.gif" width="'.$fino.'" height="'.$altura.'" border="0" />';
		
		echo '<img ';
		
		$texto = $numero;
		
		if((strlen($texto) % 2) <> 0){
			$texto = '0'.$texto;
		}
		
		while(strlen($texto) > 0){
			$i = round(substr($texto, 0, 2));
			$texto = substr($texto, strlen($texto)-(strlen($texto)-2), (strlen($texto)-2));
			
			if(isset($barcodes[$i])){
				$f = $barcodes[$i];
			}
			
			for($i = 1; $i < 11; $i+=2){
				if(substr($f, ($i-1), 1) == '0'){
  					$f1 = $fino ;
  				}else{
  					$f1 = $largo ;
  				}
  				
  				echo 'src="imagens/p.gif" width="'.$f1.'" height="'.$altura.'" border="0">';
  				echo '<img ';
  				
  				if(substr($f, $i, 1) == '0'){
					$f2 = $fino ;
				}else{
					$f2 = $largo ;
				}
				
				echo 'src="imagens/b.gif" width="'.$f2.'" height="'.$altura.'" border="0">';
				echo '<img ';
			}
		}
		echo 'src="imagens/p.gif" width="'.$largo.'" height="'.$altura.'" border="0" />';
		echo '<img src="imagens/b.gif" width="'.$fino.'" height="'.$altura.'" border="0" />';
		echo '<img src="imagens/p.gif" width="1" height="'.$altura.'" border="0" />';
		echo '<br />';
		echo $numero;
		echo '</div>';
	}



?>
